For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Invite one or more new members to join an account. Each member is sent an invitation. Members with Admin or Owner roles may create new members, as well as anyone with a createMember permission for “member/*”. If a member cannot be invited, the entire request is rejected and no members are invited from that request.
Each member must have an email field and either a role or a customRoles field. If any of the fields are not populated correctly, the request is rejected with the reason specified in the “message” field of the response.
Valid base role names that you can provide for the role field include reader, writer, admin, owner/admin, and no_access. To learn more about base roles, read Organization roles.
If you are using the customRoles field instead, you can provide the key for any role that you have created, or for any preset organization role or project role provided by LaunchDarkly. Some preset roles additionally require that you specify roleAttributes. To learn more, read Using role scope.
Requests to create account members will not work if SCIM is enabled for the account.
No more than 50 members may be created per request.
A request may also fail because of conflicts with existing members. These conflicts are reported using the additional code and invalid_emails response fields with the following possible values for code:
A request that fails for one of the above reasons returns an HTTP response code of 400 (Bad Request).
curl --request POST \
--url https://app.launchdarkly.com/api/v2/members \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"email": "sandy@acme.com",
"password": "***",
"firstName": "Ariel",
"lastName": "Flores",
"role": "reader",
"customRoles": [
"customRole1",
"launchdarkly-developer"
],
"teamKeys": [
"team-1",
"team-2"
],
"roleAttributes": "{\"developerProjectKeys\": [\"default\"]}"
}
]
'{
"items": [
{
"_links": {},
"_id": "507f1f77bcf86cd799439011",
"role": "reader",
"email": "ariel@acme.com",
"_pendingInvite": false,
"_verified": true,
"customRoles": [
"devOps",
"backend-devs"
],
"mfa": "<string>",
"_lastSeen": "1608260796147",
"creationDate": "1628001602644",
"firstName": "Ariel",
"lastName": "Flores",
"_pendingEmail": "<string>",
"excludedDashboards": [
"<string>"
],
"_lastSeenMetadata": {
"tokenId": "5b52207f8ca8e631d31fdb2b"
},
"_integrationMetadata": {
"externalId": "<string>",
"externalStatus": {
"display": "<string>",
"value": "<string>"
},
"externalUrl": "<string>",
"lastChecked": 123
},
"teams": [
{
"customRoleKeys": [
"access-to-test-projects"
],
"key": "team-key-123abc",
"name": "QA Team",
"_links": {}
}
],
"permissionGrants": [
{
"resource": "team/qa-team",
"actionSet": "<string>",
"actions": [
"maintainTeam"
]
}
],
"oauthProviders": [
"<string>"
],
"version": 1,
"roleAttributes": {}
}
],
"_links": {},
"totalCount": 123
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The member's email
"sandy@acme.com"
The member's password
"***"
The member's first name
"Ariel"
The member's last name
"Flores"
The member's initial role, if you are using a base role for the initial role
reader, writer, admin, no_access "reader"
An array of the member's initial roles, if you are using custom roles or preset roles provided by LaunchDarkly
["customRole1", "launchdarkly-developer"]An array of the member's teams
["team-1", "team-2"]An object of role attributes for the member
Show child attributes
"{\"developerProjectKeys\": [\"default\"]}"
curl --request POST \
--url https://app.launchdarkly.com/api/v2/members \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"email": "sandy@acme.com",
"password": "***",
"firstName": "Ariel",
"lastName": "Flores",
"role": "reader",
"customRoles": [
"customRole1",
"launchdarkly-developer"
],
"teamKeys": [
"team-1",
"team-2"
],
"roleAttributes": "{\"developerProjectKeys\": [\"default\"]}"
}
]
'{
"items": [
{
"_links": {},
"_id": "507f1f77bcf86cd799439011",
"role": "reader",
"email": "ariel@acme.com",
"_pendingInvite": false,
"_verified": true,
"customRoles": [
"devOps",
"backend-devs"
],
"mfa": "<string>",
"_lastSeen": "1608260796147",
"creationDate": "1628001602644",
"firstName": "Ariel",
"lastName": "Flores",
"_pendingEmail": "<string>",
"excludedDashboards": [
"<string>"
],
"_lastSeenMetadata": {
"tokenId": "5b52207f8ca8e631d31fdb2b"
},
"_integrationMetadata": {
"externalId": "<string>",
"externalStatus": {
"display": "<string>",
"value": "<string>"
},
"externalUrl": "<string>",
"lastChecked": 123
},
"teams": [
{
"customRoleKeys": [
"access-to-test-projects"
],
"key": "team-key-123abc",
"name": "QA Team",
"_links": {}
}
],
"permissionGrants": [
{
"resource": "team/qa-team",
"actionSet": "<string>",
"actions": [
"maintainTeam"
]
}
],
"oauthProviders": [
"<string>"
],
"version": 1,
"roleAttributes": {}
}
],
"_links": {},
"totalCount": 123
}